Subject: Re: [PATCH 2/6] ibmvscsi: Add and use enums for valid CRQ header values

From: Manoj Kumar <[email-masked]>
Date: Tue, 9 Feb 2016 11:41:53 -0600

> Yeah, I can see how that is confusing. Since, all three possible valid
> crq message types have the first bit set I think this was originally a
> cute hack to grab anything that was likely valid. Then in
> ibmvscsi_handle_crq() we explicitly match the full header value in a
> switch statement logging anything that turned out actually invalid.
>
>>
>> If 'valid' will only have one of these four enums defined, would
>> this be better written as:
>>
>> 	if (crq->valid != VIOSRP_CRQ_FREE)
>
> This definitely would make the logic easier to read and follow. Also,
> this would make sure any crq with an invalid header that doesn't have
> its first bit set will also be logged by the ibmvscsi_handle_crq()
> switch statement default block and not silently ignored.
>
> -Tyrel

Sounds good, Tyrel. Does this mean I should expect a v2 of this patch
series?

- Manoj N. Kumar